;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;Modelo Basado en Agentes de las Cadenas Productivas;;
;;Alumno:Fuentes Carmona Tania Selene                ;;
;;Seminario de Economia Urbana y Regional            ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
extensions [ gis]
breed [             ;;se generan breeds de los distintos agente
  empresas empresa
]
globals [ empresas-dataset
 encadenamientos-adelante
 encadenamientos-atras
  ]

empresas-own [
  sector
  valor-agregado-compras
  valor-agregado-ventas
  compras
  ventas

  ]

patches-own [ PNZM
  municipio]


to setup

   clear-all
   set empresas-dataset gis:load-dataset "MUNICIPIOS.shp"

   gis:set-world-envelope ( gis:envelope-of empresas-dataset)
     display-empresas




make-node1 nobody ;; el primer nodo va a ser considerado como ningino
make-node1 empresa 0  ;; se va a iniciar desde la empresa 0


reset-ticks
end




to display-empresas
       ask empresas [ die]
       gis:set-drawing-color yellow

       gis:draw empresas-dataset 1




     end




to make-node1 [old-node1] ;;se crea la union de nodos de cada uno de los agentes
  create-empresas num-of-empresas[ ;; se crea un numero de empresas con sus respectivo color y forma
    set color sky
    set shape "circle"
    set size 0.8

    if old-node1 != nobody
      [ create-link-with old-node1 [ set color green ]
        ;; position the new node near its partner
        move-to old-node1
        fd 1


 ;; se establecen las categorias de los distinto sectores y se les asigna valores conforme a su media y su desviacion
setxy random-pxcor random-pycor ;; datos obtenidos de la matriz incumo-producto 2012
   set sector round random-float 10
     if sector = 19 [set sector "Construcción2"]
     if sector = 18 [set sector "Minería2"]
    if sector = 17[set sector "Industrias manufactureras2"]
    if sector = 16 [set sector "Serviciosfinancieros2"]
    if sector = 15 [set sector "Serviciosprofesionales2"]
      if sector = 14 [set sector "apoyoalosnegocios2"]
      if sector = 13 [set sector "Transportesycorreos2"]
    if sector = 12 [set sector "Comercioalpormayor2"]
     if sector = 11 [set sector "energia2"]
   if sector = 10 [set sector "energia1"]
   if sector = 9[set sector "Industrias manufactureras1"]
   if sector = 8 [set sector "Comercioalpormayor1"]
   if sector = 7 [set sector "Serviciosprofesionales1"]
   if sector = 6 [set sector "apoyoalosnegocios1"]
   if sector = 5 [set sector "Minería1"]
   if sector = 4 [set sector "Construcción1"]
   if sector = 3 [set sector "Otrosservicios"]
   if sector = 2 [set sector "Transportesycorreos1"]
   if sector = 1 [set sector "Comercioalpormenor"]
   if sector = 0 [set sector "Serviciosfinancieros1"]


   if sector = "energia1"
   [set ventas random-normal 0.051 2]
   if sector = "Industriasmanufactureras1"
   [set ventas random-normal 0.012  1]
   if sector = "Comercioalpormayor1"
   [set ventas random-normal 0.010  1]
   if sector = "Serviciosprofesionales1"
   [set ventas random-normal 0.008 1]
   if sector = "apoyoalosnegocios1"
   [set ventas random-normal 0.006  0.5]
   if sector = "Minería1"
   [set ventas random-normal 0.004  0.5]
    if sector = "Construcción1"
   [set ventas random-normal 0.003 0.5]
   if sector = "Serviciosfinancieros1 "
   [set ventas random-normal 0.003 0.5]
   if sector = "Otrosservicios "
   [set ventas random-normal 0.003 0.25]
   if sector = "Transportesycorreos1"
   [set ventas random-normal 2 0.25]


    if sector = "Industriasmanufactureras2"
   [set compras random-normal 0.25 2]
   if sector = "energia2"
   [set compras random-normal 0.051  2]
   if sector = "Comercioalpormayor2"
   [set compras random-normal 0.037 2]
   if sector = "Minería2"
   [set compras random-normal 0.014  1]
   if sector = "Construcción2"
   [set compras random-normal 0.012  1]
   if sector = "Transportesycorreos2"
   [set compras random-normal 0.009  0.5]
    if sector = "apoyoalosnegocios2"
   [set compras random-normal 0.009  0.5]
   if sector = "Serviciosprofesionales2"
   [set compras random-normal 0.007 0.25]
   if sector = "Comercioalpormenor"
   [set compras random-normal 0.005  0.25]
   if sector = "Servicios financieros2"
   [set compras random-normal 0.005 0.25]]]


end



to go1


make-node1 find-partner           ;; la instruccion indica que los links se pintaran de gris y anadaran en busca de compañero
if layout1? [ layout1 ]                   ;; genera un switch en el que va a pedirle si genera una red
;; se calcula el grado de consolidación y vaciamiento que se mostrarán en los monitores
set encadenamientos-adelante (compras-totales-Industriasmanufactureras2  + compras-totales-energia2 + compras-totales-Comercioalpormayor2 + compras-totales-Minería2 + compras-totales-Construcción2 + compras-totales-Transportesycorreos2 + compras-totales-apoyoalosnegocios2 + compras-totales-Serviciosprofesionales2 + compras-totales-Comercioalpormenor + compras-totales-Serviciosfinancieros2)
set encadenamientos-atras (ventas-totales-serviciosfinancieros1 + ventas-totales-otrosservicios + ventas-totales-Transportesycorreos1 + ventas-totales-Comercioalpormayor1 + ventas-totales-Construcción1 + ventas-totales-apoyoalosnegocios1 + ventas-totales-energia1 + ventas-totales-Minería1 + ventas-totales-Serviciosprofesionales1 + ventas-totales-Industriasmanufactureras1 )

if ticks > 200 [stop]      ;; si el numero de ticks es mayor a 100 se detiene el modelo
  tick
if desvincular? [desvincular]

end



to-report find-partner
  report [one-of both-ends] of one-of links ;;para encontrar un compañero,indica ambas salidas de los links

end



to layout1 ;; aqui es donde se dibuja la red de nodos,si se aumento el numero de repeticiones,puede generar que la red no se dibuje rapidamente

  repeat 15 [

    let factor count empresas
   ;;se establece el factor como la raiz del numero de empresas y se esparcen por medio de una división para que no queden mas dispersos
    layout-spring empresas links (5 / factor) (7 / factor) (5 / factor)
    display  ;; for smooth animation

  ]
 ;; para que no quede en las esquinas de mundo, se le establece un limite asignado a las coordenadas x y y
  let x-offset max [xcor] of empresas + min [xcor] of empresas
  let y-offset max [ycor] of empresas + min [ycor] of empresas
  set x-offset limit-magnitude x-offset 0.1
  set y-offset limit-magnitude y-offset 0.1
  ask empresas [ setxy (xcor - x-offset / 2) (ycor - y-offset / 2) ]
end



to-report limit-magnitude [number limit] ;; aqui se reporta el limite
  if number > limit [ report limit ]
  if number < (- limit) [ report (- limit) ]
  report number
end




;; reporta el total de ventas y ventas de cada sector
to-report ventas-totales-energia1
  report sum [ventas] of empresas with [sector = "energia1"]
end
to-report ventas-totales-Minería1
  report sum [ventas] of empresas with [sector = "Minería1"]

end
to-report ventas-totales-Industriasmanufactureras1

  report sum [ventas] of empresas with [sector = "Industriasmanufactureras1"]

end
to-report ventas-totales-Comercioalpormayor1

  report sum [ventas] of empresas with [sector = "Comercioalpormayor1"]

end
to-report ventas-totales-Serviciosprofesionales1
  report sum [ventas] of empresas with [sector = "Serviciosprofesionales1"]

end
to-report ventas-totales-apoyoalosnegocios1

  report sum [ventas] of empresas with [sector = "apoyoalosnegocios1"]
end
to-report ventas-totales-Construcción1

  report sum [ventas] of empresas with [sector = "Construcción1"]
end
to-report ventas-totales-Serviciosfinancieros1
  report sum [ventas] of empresas with [sector = "Serviciosfinancieros1"]
end
to-report ventas-totales-Otrosservicios

  report sum [ventas] of empresas with [sector = "Otrosservicios"]
end
to-report ventas-totales-Transportesycorreos1

  report sum [ventas] of empresas with [sector = "Transportesycorreos1"]
end




  to-report compras-totales-Industriasmanufactureras2
  report sum [compras] of empresas with [sector = "Industriasmanufactureras2"]

end
    to-report compras-totales-Serviciosprofesionales2
  report sum [compras] of empresas with [sector = "Serviciosprofesionales2"]

end

    to-report compras-totales-energia2

  report sum [compras] of empresas with [sector = "energia2"]
end
     to-report compras-totales-Comercioalpormayor2
  report sum [compras] of empresas with [sector = "Comercioalpormayor2"]

end
       to-report compras-totales-Minería2

  report sum [compras] of empresas with [sector = "Minería2"]

end
     to-report compras-totales-Construcción2

  report sum [compras] of empresas with [sector = "Construcción2"]

end
     to-report compras-totales-Transportesycorreos2

  report sum [compras] of empresas with [sector = "Transportesycorreos2"]
     end
  to-report compras-totales-apoyoalosnegocios2
  report sum [compras] of empresas with [sector = "apoyoalosnegocios2"]

end
  to-report compras-totales-Comercioalpormenor

  report sum [compras] of empresas with [sector = "Comercioalpormenor"]

end
   to-report compras-totales-Serviciosfinancieros2

  report sum [compras] of empresas with [sector = "Serviciosfinancieros2"]

end


to-report valor-ventas
  report [valor-agregado-ventas] of empresas = sum [ventas] of empresas
end
to-report valor-compras
  report [valor-agregado-compras] of empresas = sum [compras] of empresas
end


 to desvincular ;; se evulaua con un switch en el que se decide si hay existencia de empresas con valores de compras y ventas fuertes


ask  empresas with [ sector = "energia2"][die]
ask  empresas with [ sector = "Industriasmanufactureras2"][die]
ask  empresas with [ sector = "Comercioalpormayor2"][die]
ask  empresas with [ sector = "Serviciosprofesionales2"][die]
ask  empresas with [ sector = "apoyoalosnegocios2"][die]
ask  empresas with [ sector = "Construcción2"][die]
ask  empresas with [ sector = "Transportesycorreos2"][die]
ask  empresas with [ sector = "Serviciosfinancieros2"][die]
ask  empresas with [ sector = "Minería2"][die]
ask  empresas with [ sector = "energia1"][die]
ask  empresas with [ sector = "Industriasmanufactureras1"][die]
ask  empresas with [ sector = "Comercioalpormayor1"][die]
ask  empresas with [ sector = "Serviciosprofesionales1"][die]
ask  empresas with [ sector = "apoyoalosnegocios1"][die]
ask  empresas with [ sector = "Construcción1"][die]
ask  empresas with [ sector = "Otros servicios"][die]
ask  empresas with [ sector = "Transportesycorreos1"][die]
ask  empresas with [ sector = "Comercio al por menor"][die]
ask  empresas with [ sector = "Serviciosfinancieros1"][die]
ask  empresas with [ sector = "Minería1"][die]

 end





@#$#@#$#@
GRAPHICS-WINDOW
275
10
935
691
32
32
10.0
1
10
1
1
1
0
1
1
1
-32
32
-32
32
1
1
0
ticks
40.0

BUTTON
919
88
982
121
NIL
go1
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SWITCH
900
31
990
64
layout1?
layout1?
0
1
-1000

SLIDER
25
95
197
128
num-of-empresas
num-of-empresas
0
10
3
1
1
NIL
HORIZONTAL

MONITOR
1113
39
1292
84
ventas-Comercio al por mayor
ventas-totales-Comercioalpormayor1 / ( sum [ventas] of empresas) * 100
2
1
11

PLOT
971
217
1299
415
mercado
tiempo
compras y ventas
0.0
10.0
0.0
10.0
true
true
"" ""
PENS
"encadenamientos-adelante" 1.0 0 -16777216 true "" "plot encadenamientos-adelante"

MONITOR
1033
95
1171
140
Compras-Construcción
compras-totales-Construcción2 / (sum [compras] of empresas) * 100
2
1
11

MONITOR
1023
33
1088
78
energia
compras-totales-energia2 / sum [ventas] of empresas * 100
2
1
11

MONITOR
46
217
147
262
NIL
count empresas
17
1
11

MONITOR
73
154
144
199
NIL
count links
17
1
11

BUTTON
64
303
127
336
NIL
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SWITCH
906
137
1030
170
desvincular?
desvincular?
1
1
-1000

@#$#@#$#@
## WHAT IS IT?

El presente modelo pretende representar,conforme a la noción Rama-Región expuesta por Isaac y Quintana(2004), la adquisición o perdida de las capacidades productivas de los distintos sectores de actividad economica,sin embargo nos enfocaremos unicamente en las relaciones que se dan con el sector encargado de la generación,transmisión y suministro de agua, gas y electricidad por ductos al consumidor final.Esto se realizará por medio de una simulación de redes.

Los supuestos que se desarrollan en la noción Rama-Región para la generación del fenomeno emergente son:
-Si se agrupan los sectores donde se localizan  una alta cantidad de compras y ventas con el sector encargado de la generacion,transmisión y suministro de agua,gas y electricidad por ductos, o en su caso nucleos productivos fuertes, se contabiliza el grado de consolidación .
Los supuestos que se desarrollan en la noción Rama-Región para la generación del fenomeno emergente son:
-Si se agrupan los sectores donde se localizan  una baja cantidad de compras y ventas con el sector encargado de la generacion,transmisión y suministro de agua,gas y electricidad por ductos, o en su caso nucleos productivos debiles, se contabiliza el grado de vaciamiento productivo.
-El valor agregado surge de la suma de las compras y ventas efectuadas totales



## HOW IT WORKS

Los agentes se encuentran definidos por empresas que a su vez tienen clasificaciones que se asignan aleatoriamente por medio de la caracteristica del agente definida como sector por medio de la indicación random-float que se muestra a continuación:
-Industria quimica
-Desechos
-Petroleo
-Textiles
-Transporte por ductos
-Otros
De acuerdo a estas clasificaciones, se les asigna un nivel de compras y ventas que de igual manera se asignan aleatoriamente por medio de sus valores de la media y la desviación estandar.Para poder asignar valores, se requirio ,en primer lugar,realizar estimaciones de las compras y ventas que se realizan con el sector encargado de la generación y suministro de agua y gas por medio de la Matriz Insumo-Producto 2012.

La estructura es un GIS dado que se quiere representar el analisis regional en el modelo,por lo que se utiliza un shape a modo de interpretación.
Las redes no tienen un rango definido.


Cada enlace se encuentra conectado por dos salidas y debe haber cuando menos una conexion entre dos sectores para que se extienda la red.

los agentes y sus vecinos cambian su estado a medida que el nivel de compras y ventas aumenta o disminuye.

## HOW TO USE IT


El boton de recolor-nodos sirve para que cuando el nivel de ventas llegue a un punto determinado,las empresas de los distintos sectores se pinten de diferente color y tengan tamaño diferente para poder reconocerlas de las otras.

El switch de layout? sirve para cambiar la forma en la que se esparcen los enlaces.Si se mantiene apagado estos se esparcen aleatoriamente sin un valor de esparcimiento definido,por lo que se puede observar que al mantenerlo prendido,los links se concentran en un cierto punto y aparecen de forma mas ordenada.

El switch de desvicular? sirve para crear la condicion en el que las empresas con los sectores que tengan valores de ventas mas altos se mueran para poder observar el cambio el el grado de consolidacion y vaciamiento productivo asi como su influencia en los niveles de venta.

Los monitores muestran distinto elementos.En primer lugar se muestra la participacion que tienen los distintos sectores en las compras y las ventas con respecto al valor total de los sectores industriales, asi como su grado de consolidacion que realiza promedios con respecto a los sectores mas productivos en el mercado y en el caso del vaciamiento con los menos productivos.

## THINGS TO NOTICE

Se puede observar que en un determinado numero de ticks, los agentes y los links se detienen,esto es debido a que en el procedimiento go se le asigna que a determinado numero estos se detengan para no aglutinar toda la pantalla.

Tambien que, al poner el switch de morir en modo de prendido no es posible aplicar el setup debido a que en un principio puede tomar en cuenta el vinculo con cualquier agente de todos los sectores,por lo que no funciona si las empresas de los demas sectores estan muertas,por lo que marca error ya que lo reconoce como si no hubiese ninguna.

Otro de los aspectos a mencionar es que los nodos unicamente se colorean cuando el numero de ventas es mayor a un cierto valor,por lo que en un principio se mantienen azules.

Finalmente, se observa  que si en un principio se deja el switch de morir en apagado, la grafica muestra que el nivel de ventas es alto y el grado de consolidacion tiene porcentajes de hasta 90% y el grado de vaciamiento resulta bajo,mientras que cuando se prende, la grafica llega a bajar en tendencia y el vaciamiento se hace mas presente debido a que se contabilizan los sectores con las ventas y compras mas debiles.

## THINGS TO TRY

¿Que pasaria si se incrementa el numero de ticks en los cuales se detiene el modelo? Cuanta seria la cantidad de ventas que se genera y si eso influye en las participaciones y en el grado de consolidacion y vaciamiento productivo.
¿que pasi si incremenento la longitud de los links? Puede que las empresas se expandan en distancia.
Se puede cambiar el color de los patches con otra clasificación de color

## EXTENDING THE MODEL

Para dicha investigación,solo se toma en cuenta el sector industrial,pero pueden utilizarse otra clasificación de sectores y asignarle distintos tipos de valores para analizarlos desde el punto de vista de los comercios o los servicios.

En vez de utilizar los valores de las compras y las ventas,tambien se puede aplicar para casos en los que se pretenda aplicar la productividad,acervos de capital y personal entre otro tipos de variables relacionadas.

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

Se pueden observar los modelos de :
Wilensky: atracción prefenrencial
Patch clusters de Robert Jan Klomp


## CREDITS AND REFERENCES

Se tomo como referencia los modelos de:

Wilensky, U. (2005). NetLogo Preferential Attachment model. http://ccl.northwestern.edu/netlogo/models/PreferentialAttachment. Center for Connected Learning and Computer-Based Modeling, Northwestern Institute on Complex Systems, Northwestern University, Evanston, IL.
Wilensky, U. (1999). NetLogo. http://ccl.northwestern.edu/netlogo/. Center for Connected Learning and Computer-Based Modeling, Northwestern Institute on Complex Systems, Northwestern University, Evanston, IL.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.3.1
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="experiment" repetitions="1" runMetricsEveryStep="true">
    <setup>setup</setup>
    <go>go1</go>
    <metric>encadenamientos-adelante</metric>
    <metric>encadenamientos-atras</metric>
    <enumeratedValueSet variable="layout1?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="desvincular?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="num-of-empresas">
      <value value="6"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
